Subject: [quicwg/base-drafts] bc19b6: WIP: Reorganize QPACK

From: ianswett <[email-masked]>
Date: Fri, 30 Nov 2018 14:10:24 -0800

Branch: refs/heads/ianswett-both-thresholds
  Home:   https://github.com/quicwg/base-drafts
  Commit: bc19b645446fc039c25e23a8c515d233f928f372
      https://github.com/quicwg/base-drafts/commit/bc19b645446fc039c25e23a8c515d233f928f372
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-29 (Mon, 29 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  WIP: Reorganize QPACK

Added a "Compression Process Overview" section near the top, with a high level description of how to compress/decompress.  This section now encompasses a lot of what used to be "Encoding Strategies".

In the places where I added new text, I temporarily added HTML comments to indicicate so it can get a bit more detailed review.

I also deleted a few sentences/paragraphs/sections that I found to be redundant:

- Preventing Eviction Races
- "An encoder also respects..."
- "For header blocks encoded in..."
- Single Pass Encoding
- "All table updates occur on..."

  Commit: 6ff9fda2a2e74b5a29fe26a81b57579e07f54283
      https://github.com/quicwg/base-drafts/commit/6ff9fda2a2e74b5a29fe26a81b57579e07f54283
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-29 (Mon, 29 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Address most editorial comments

Not addressed:

1. I left the drawing with 'Draining Entries' without a specific definition in the text.  I think it can be interpreted OK, and 'Unreferencable' isn't actually true.

2. With respect to leaving blocked data in flow control, I changed should to SHOULD instead of can.  My understanding is that you don't have to do a SHOULD, if you have a good reason?  It's important enough that we want to convey more than ability.

3. I skipped redoing the indexing diagram for its own commit

4. I haven't moved the TSS guidance out of the TSS instruction section yet.  I can't lift the whole paragraph without refactoring some of the other text.

5. I think peer's encoder/decoder is correctly possessive.  Doesn't the coder belong to the peer?

6.  I removed all the instances of 'A decoder', but there are still a bunch of references to 'An encoder'.  I'm not sure if the consistency is an improvement in readability yet, so delaying changing more pending feedback.

  Commit: 5e54faf7111c78cbfe62fa934c3fcbe7e83f7102
      https://github.com/quicwg/base-drafts/commit/5e54faf7111c78cbfe62fa934c3fcbe7e83f7102
  Author: Alan Frindell <[email-masked]>
  Date:   2018-10-30 (Tue, 30 Oct 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Addressing more editorial feedback

I missed some of the comments in the first pass.

  Commit: 1613b6e0d0dffceb9e1fc7ff509ab2019a7f7d38
      https://github.com/quicwg/base-drafts/commit/1613b6e0d0dffceb9e1fc7ff509ab2019a7f7d38
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-05 (Mon, 05 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reorder the NEW_CONNECTION_ID frame

As observed, separating the length of the connection ID from the value
is awkward.

Closes #1952.

  Commit: 3dce06ee445b339f313f3a1c1c49b1cf5712a97e
      https://github.com/quicwg/base-drafts/commit/3dce06ee445b339f313f3a1c1c49b1cf5712a97e
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-05 (Mon, 05 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use DPLPMTUD rather than PLPMTUD

  Commit: 11d259ccbf2172ed32e6283e02b14d7d69fb763f
      https://github.com/quicwg/base-drafts/commit/11d259ccbf2172ed32e6283e02b14d7d69fb763f
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-06 (Tue, 06 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update the salt in preparation for -17

  Commit: 7a43755900487dcf1aa59d9f338573f4712b64e2
      https://github.com/quicwg/base-drafts/commit/7a43755900487dcf1aa59d9f338573f4712b64e2
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-06 (Tue, 06 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Since ekr asked....

  Commit: 4ea6332630f7d39a3304a70becd713618bcbae85
      https://github.com/quicwg/base-drafts/commit/4ea6332630f7d39a3304a70becd713618bcbae85
  Author: Loganaden Velvindron <[email-masked]>
  Date:   2018-11-06 (Tue, 06 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Mention BBR as an alternative congestion control mechanism

  Commit: 561aea6732b7ea1a069ef1d98d47f1a3220193e2
      https://github.com/quicwg/base-drafts/commit/561aea6732b7ea1a069ef1d98d47f1a3220193e2
  Author: Loganaden Velvindron <[email-masked]>
  Date:   2018-11-06 (Tue, 06 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Formatting fix

  Commit: 36c68c3f600722cd6a52f28622e60f9423ffc3f3
      https://github.com/quicwg/base-drafts/commit/36c68c3f600722cd6a52f28622e60f9423ffc3f3
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-07 (Wed, 07 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Remove "quic " HKDF label

Closes #1971.

  Commit: 728d13304199b3bd43046b245cce8905e30d33ef
      https://github.com/quicwg/base-drafts/commit/728d13304199b3bd43046b245cce8905e30d33ef
  Author: Brian Trammell <[email-masked]>
  Date:   2018-11-07 (Wed, 07 Nov 2018)

  Changed paths:
    M draft-ietf-quic-spin-exp.md

  Log Message:
  -----------
  remove negotiated spin

  Commit: 5920b4a56f32464a5fecc4b8c4abfc81bd405324
      https://github.com/quicwg/base-drafts/commit/5920b4a56f32464a5fecc4b8c4abfc81bd405324
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-08 (Thu, 08 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Remove example

  Commit: 7627dc79157e76987e67544522e941e1533ad5c1
      https://github.com/quicwg/base-drafts/commit/7627dc79157e76987e67544522e941e1533ad5c1
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-09 (Fri, 09 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  A/An

Co-Authored-By: MikeBishop <[email-masked]>

  Commit: 763c1b2ed728dc916daec143aaaa44a1191c6c23
      https://github.com/quicwg/base-drafts/commit/763c1b2ed728dc916daec143aaaa44a1191c6c23
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-09 (Fri, 09 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix typo introduced in 23d95c3fc6839

  Commit: 944a1476e5392c6096bb728430e0212a16abeee8
      https://github.com/quicwg/base-drafts/commit/944a1476e5392c6096bb728430e0212a16abeee8
  Author: Brian Trammell <[email-masked]>
  Date:   2018-11-10 (Sat, 10 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  add spin bit to transport

  Commit: ca562a5a1431d6414302be59697a020143e497f5
      https://github.com/quicwg/base-drafts/commit/ca562a5a1431d6414302be59697a020143e497f5
  Author: Brian Trammell <[email-masked]>
  Date:   2018-11-10 (Sat, 10 Nov 2018)

  Changed paths:
    M draft-ietf-quic-spin-exp.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  typofix; make spin-exp std

  Commit: 89e5ae575d32899ec46468f1ad54341f27a4f504
      https://github.com/quicwg/base-drafts/commit/89e5ae575d32899ec46468f1ad54341f27a4f504
  Author: Brian Trammell <[email-masked]>
  Date:   2018-11-10 (Sat, 10 Nov 2018)

  Changed paths:
    M draft-ietf-quic-spin-exp.md

  Log Message:
  -----------
  Merge pull request #1979 from britram/no-negotiated-spin-after-all

remove negotiated spin

  Commit: 42e8c2a4a7e79fd342dbb0375547cc7eaf7fbbd0
      https://github.com/quicwg/base-drafts/commit/42e8c2a4a7e79fd342dbb0375547cc7eaf7fbbd0
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1985 from dtikhonov/201811091404-fix-mangled-cids-descr

Fix typo introduced in 23d95c3fc6839

  Commit: 35a7bb0dcc3598be6d4ae86c47af99a1a839ccc7
      https://github.com/quicwg/base-drafts/commit/35a7bb0dcc3598be6d4ae86c47af99a1a839ccc7
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Separate keys at the leaves

  Commit: 1217903ac454d07d92fa807b9b1c7f8aae04b038
      https://github.com/quicwg/base-drafts/commit/1217903ac454d07d92fa807b9b1c7f8aae04b038
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-spin-exp.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1988 from britram/spin-ref

Add spin bit to transport draft

  Commit: cc4861d6af461299bed66cd3604488d2103c6ef2
      https://github.com/quicwg/base-drafts/commit/cc4861d6af461299bed66cd3604488d2103c6ef2
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  endpoint MAY discard CIDs

  Commit: af651274487d04bd4711827294dad484ec1e01ad
      https://github.com/quicwg/base-drafts/commit/af651274487d04bd4711827294dad484ec1e01ad
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  nit

Co-Authored-By: janaiyengar <[email-masked]>

  Commit: c4d3a838f21632bb28a00f5bed6abc5032eb9d08
      https://github.com/quicwg/base-drafts/commit/c4d3a838f21632bb28a00f5bed6abc5032eb9d08
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  reflow

  Commit: 92962f3551ae8cd6ead5eedc8bd1c4c8a51cc04b
      https://github.com/quicwg/base-drafts/commit/92962f3551ae8cd6ead5eedc8bd1c4c8a51cc04b
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1992 from quicwg/cids

Endpoint MAY discard CIDs

  Commit: 1372af7afead1928fdde6b96ba3c7dcddc3ca36b
      https://github.com/quicwg/base-drafts/commit/1372af7afead1928fdde6b96ba3c7dcddc3ca36b
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-12 (Mon, 12 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1963 from quicwg/reorder-ncid

Reorder the NEW_CONNECTION_ID frame

  Commit: 7497ea8cd9aca4fe538de358bdce22f4b05cb362
      https://github.com/quicwg/base-drafts/commit/7497ea8cd9aca4fe538de358bdce22f4b05cb362
  Author: Loganaden Velvindron <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove BBR and mention CUBIC which has standardized in RFC8312

  Commit: 630188f897691d63676d9d94262f4a3c8934f0b3
      https://github.com/quicwg/base-drafts/commit/630188f897691d63676d9d94262f4a3c8934f0b3
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #1975 from cyberstormdotmu/master

Mention CUBIC as an example of an alternative congestion control mechanism

  Commit: 966baa6d9810953a26789f1c164a86ecf469e909
      https://github.com/quicwg/base-drafts/commit/966baa6d9810953a26789f1c164a86ecf469e909
  Author: Marten Seemann <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  a Reset packet doesn't provide a connection ID, a Retry packet does

  Commit: c2a60b88dd31fc654d43962d1ae97b48f943a853
      https://github.com/quicwg/base-drafts/commit/c2a60b88dd31fc654d43962d1ae97b48f943a853
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1999 from marten-seemann/no-reset-packet

a Reset packet doesn't provide a connection ID, a Retry packet does

  Commit: 483bad426b5e337138b9bc783c380a29308ca253
      https://github.com/quicwg/base-drafts/commit/483bad426b5e337138b9bc783c380a29308ca253
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  HTTP/3, for real

  Commit: 59b48c89d4ff150025696701dad97c58743f1509
      https://github.com/quicwg/base-drafts/commit/59b48c89d4ff150025696701dad97c58743f1509
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  More a/an

  Commit: 72684afa37fefd5d157bf2beab3b9cb3035a0bd2
      https://github.com/quicwg/base-drafts/commit/72684afa37fefd5d157bf2beab3b9cb3035a0bd2
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Merge pull request #1973 from quicwg/rename_http

Rename HTTP/QUIC to HTTP/3

  Commit: 1755629bcae484b330a4497569aff549982cfeaf
      https://github.com/quicwg/base-drafts/commit/1755629bcae484b330a4497569aff549982cfeaf
  Author: Luca Niccolini <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  define HTTP_UNEXPECTED_GOAWAY

using the first available ID 0x0013

fixes #1918

  Commit: 50cbe60f8f485dab35b0d6a9fc2d2b3a2bc3c808
      https://github.com/quicwg/base-drafts/commit/50cbe60f8f485dab35b0d6a9fc2d2b3a2bc3c808
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  HTTP_UNEXPECTED_FRAME

  Commit: 2c0d5d9ef8682e0579bd1b801b3b181d5e68df36
      https://github.com/quicwg/base-drafts/commit/2c0d5d9ef8682e0579bd1b801b3b181d5e68df36
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Discard, but don't retire, excess connection IDs

  Commit: c3828d3f165f0380ec60388942515ba5b189bd78
      https://github.com/quicwg/base-drafts/commit/c3828d3f165f0380ec60388942515ba5b189bd78
  Author: martinduke <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refine minimum DCID length of Initial

This is meant to almost entirely mitigate #1810 by making sure that the reply to a VN packet ends up at the same server. It reduces the spurious downgrade attack signal to a corner case of a corner case.

It is much more lightweight than alternatives, if we're looking for a minimum-footprint change.

  Commit: fb5c91210a8b3a95d1e70b409e29c3e6daafb97a
      https://github.com/quicwg/base-drafts/commit/fb5c91210a8b3a95d1e70b409e29c3e6daafb97a
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2000 from quicwg/dont-retire

Discard, but don't retire, excess connection IDs

  Commit: cbb12cf453bbc75d94da0c6af0f7dc01b2d67b23
      https://github.com/quicwg/base-drafts/commit/cbb12cf453bbc75d94da0c6af0f7dc01b2d67b23
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #1970 from quicwg/new-salt

Update the salt in preparation for -17

  Commit: 1e4ab004ce00f2f5ee72870b94187e434a6e3159
      https://github.com/quicwg/base-drafts/commit/1e4ab004ce00f2f5ee72870b94187e434a6e3159
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Add key diversity section

  Commit: 3df93e948824d4fdd2fac4b3733fa90c601b4e28
      https://github.com/quicwg/base-drafts/commit/3df93e948824d4fdd2fac4b3733fa90c601b4e28
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rough in first octet changes

This doesn't include the -tls draft pieces yet, which cover how the
first octet is (partially) protected.

  Commit: ecd2d27cd6deb13f731646f30570fdc3cb9f1ed9
      https://github.com/quicwg/base-drafts/commit/ecd2d27cd6deb13f731646f30570fdc3cb9f1ed9
  Author: martinduke <[email-masked]>
  Date:   2018-11-13 (Tue, 13 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Address MT's comment?

  Commit: aaed35e0a0afa81efdc0f512b8be632927285a6f
      https://github.com/quicwg/base-drafts/commit/aaed35e0a0afa81efdc0f512b8be632927285a6f
  Author: ianswett <[email-masked]>
  Date:   2018-11-14 (Wed, 14 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md (#2004)

  Commit: 316eb16890eba6a9460eb5dcae262136f9498010
      https://github.com/quicwg/base-drafts/commit/316eb16890eba6a9460eb5dcae262136f9498010
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2001 from martinduke/patch-30

Refine minimum DCID length of Initial

  Commit: a13266667d30e1fd872375675aab96bf76038f06
      https://github.com/quicwg/base-drafts/commit/a13266667d30e1fd872375675aab96bf76038f06
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add the TLS bits, refine some of the transport bits

  Commit: 0e361883372606c2d4476c6ed8f21f95958cf1db
      https://github.com/quicwg/base-drafts/commit/0e361883372606c2d4476c6ed8f21f95958cf1db
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Reword

  Commit: 0d58ea295af70c9899500696353063343307de24
      https://github.com/quicwg/base-drafts/commit/0d58ea295af70c9899500696353063343307de24
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Expand CID size text just a bit

  Commit: af6d70fcd998d21569834fc59f2313fd309cfc34
      https://github.com/quicwg/base-drafts/commit/af6d70fcd998d21569834fc59f2313fd309cfc34
  Author: seanturner <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Use TLS abbreviation

  Commit: 9335f5a1ef5abb910049662c7cb5287f8455fe71
      https://github.com/quicwg/base-drafts/commit/9335f5a1ef5abb910049662c7cb5287f8455fe71
  Author: ianswett <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify MAX_STREAMS

Fixes #1941

  Commit: 9a177cf85b59e1777c572d31e28777e1141b8a13
      https://github.com/quicwg/base-drafts/commit/9a177cf85b59e1777c572d31e28777e1141b8a13
  Author: ianswett <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 06b4cbd925ffc9a97e1b3ec7d22e750003232ad6
      https://github.com/quicwg/base-drafts/commit/06b4cbd925ffc9a97e1b3ec7d22e750003232ad6
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-15 (Thu, 15 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  STOP_SENDING opens streams

  Commit: fd0d0f8cd1aee281bce66940a983fd0306c67c4a
      https://github.com/quicwg/base-drafts/commit/fd0d0f8cd1aee281bce66940a983fd0306c67c4a
  Author: ianswett <[email-masked]>
  Date:   2018-11-16 (Fri, 16 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 8a050c76da479ffa5b815dc6e68e4cb84d2dfec8
      https://github.com/quicwg/base-drafts/commit/8a050c76da479ffa5b815dc6e68e4cb84d2dfec8
  Author: ianswett <[email-masked]>
  Date:   2018-11-16 (Fri, 16 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: b40e506d9c905f6a8073849d10cc43fd3248f8dd
      https://github.com/quicwg/base-drafts/commit/b40e506d9c905f6a8073849d10cc43fd3248f8dd
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-17 (Sat, 17 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Review suggestions

Co-Authored-By: martinthomson <[email-masked]>

  Commit: 189b423f8b1f6c131a1db4e01b89314856f5a894
      https://github.com/quicwg/base-drafts/commit/189b423f8b1f6c131a1db4e01b89314856f5a894
  Author: Marten Seemann <[email-masked]>
  Date:   2018-11-17 (Sat, 17 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  remove a duplicate sentence in the stateless reset section

  Commit: bea6906ed695ddf6845ceee3f31ae9025e3039c9
      https://github.com/quicwg/base-drafts/commit/bea6906ed695ddf6845ceee3f31ae9025e3039c9
  Author: Marten Seemann <[email-masked]>
  Date:   2018-11-17 (Sat, 17 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  allow retiring of all stateless tokens

  Commit: 6e24096c683e6aad23f4ec10f7d16d8d557cec7b
      https://github.com/quicwg/base-drafts/commit/6e24096c683e6aad23f4ec10f7d16d8d557cec7b
  Author: David Schinazi <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Input to ChaCha20 is five zeros.

Co-Authored-By: martinthomson <[email-masked]>

  Commit: 5b49645359dffc5e403e59e46973eeea2e770dfd
      https://github.com/quicwg/base-drafts/commit/5b49645359dffc5e403e59e46973eeea2e770dfd
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Unused mask bytes

  Commit: 7e74188624d2461d68fdd690ab1e85712d48ef10
      https://github.com/quicwg/base-drafts/commit/7e74188624d2461d68fdd690ab1e85712d48ef10
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Explain initial header protection

  Commit: c7ef43a0db4d81067cf75240c35cf33a4d5f322e
      https://github.com/quicwg/base-drafts/commit/c7ef43a0db4d81067cf75240c35cf33a4d5f322e
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Duplicate sample calculations

  Commit: d9e063c4f52623b364b137331fffdbc5b5f55ccb
      https://github.com/quicwg/base-drafts/commit/d9e063c4f52623b364b137331fffdbc5b5f55ccb
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Payload length confusion

  Commit: 53807397e2ef2cb71d7ab6da9e6e1df63c6ee2d0
      https://github.com/quicwg/base-drafts/commit/53807397e2ef2cb71d7ab6da9e6e1df63c6ee2d0
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #2011 from seanturner/tls_tls-abbreviation

Use TLS abbreviation

  Commit: 98508c89e2293b6aa5ab22cf4b61517951591e9c
      https://github.com/quicwg/base-drafts/commit/98508c89e2293b6aa5ab22cf4b61517951591e9c
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2012 from quicwg/ianswett-max-streams

Clarify MAX_STREAMS

  Commit: bb45c88aac038d93366a91497ab1843dd551a558
      https://github.com/quicwg/base-drafts/commit/bb45c88aac038d93366a91497ab1843dd551a558
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2016 from marten-seemann/remove-duplicate-sentence

remove a duplicate sentence in the stateless reset section

  Commit: 8e160748d3bb88e1bd07e6e9b87201e2cfc3151b
      https://github.com/quicwg/base-drafts/commit/8e160748d3bb88e1bd07e6e9b87201e2cfc3151b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2017 from marten-seemann/allow-retiring-of-all-tokens

allow retiring of all stateless reset tokens

  Commit: 9526663fa427eab01215a3c876898639d8872dff
      https://github.com/quicwg/base-drafts/commit/9526663fa427eab01215a3c876898639d8872dff
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Bytes, for consistency

  Commit: 00c571ec5e9cc3c38668960f95dd9e96c8ca0a42
      https://github.com/quicwg/base-drafts/commit/00c571ec5e9cc3c38668960f95dd9e96c8ca0a42
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix stateless reset too

  Commit: 53d5d79f26edab653b945cb496e28001cb9c00f9
      https://github.com/quicwg/base-drafts/commit/53d5d79f26edab653b945cb496e28001cb9c00f9
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  2+8n is unlikely, but I've met some of the people implementing this

  Commit: 1e68d2a27eeb868f9b2a3242bc7dae9bbb44fe00
      https://github.com/quicwg/base-drafts/commit/1e68d2a27eeb868f9b2a3242bc7dae9bbb44fe00
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update to RFC4303, which is not obsolete

  Commit: c149b56a4dae31b7d69956aac7830d79b2dd997d
      https://github.com/quicwg/base-drafts/commit/c149b56a4dae31b7d69956aac7830d79b2dd997d
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: MikeBishop <[email-masked]>

  Commit: a172c5a2d51fbac5267c9f88201eaaffbc689f01
      https://github.com/quicwg/base-drafts/commit/a172c5a2d51fbac5267c9f88201eaaffbc689f01
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrap from GH suggestions

  Commit: ea4093ffae615ce6c65d7d305680a75756b11c39
      https://github.com/quicwg/base-drafts/commit/ea4093ffae615ce6c65d7d305680a75756b11c39
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-20 (Tue, 20 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2013 from quicwg/transport/stop_sending_opens

STOP_SENDING opens streams

  Commit: 605c0f14fe54404683607be4f5e86e8062b1761d
      https://github.com/quicwg/base-drafts/commit/605c0f14fe54404683607be4f5e86e8062b1761d
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-20 (Tue, 20 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2020 from quicwg/4303

Update to RFC4303, which is not obsolete

  Commit: 914c9557cf141aa37906711ee166afec35d24393
      https://github.com/quicwg/base-drafts/commit/914c9557cf141aa37906711ee166afec35d24393
  Author: Alan Frindell <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  More editorial changes

Mostly wordsmithing
Moved one section from TSS wire to decoder

  Commit: b6b69b8a381e97ca08236d22b269cdbcdbcdbd24
      https://github.com/quicwg/base-drafts/commit/b6b69b8a381e97ca08236d22b269cdbcdbcdbd24
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-19 (Mon, 19 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  comment

  Commit: e9c5fb3d1cd8308e7986838cc67679ddf3ebc016
      https://github.com/quicwg/base-drafts/commit/e9c5fb3d1cd8308e7986838cc67679ddf3ebc016
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-20 (Tue, 20 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Move ack generation out of loss detection

  Commit: 692bd2256fb55233ec13ae9cc6c2dca00882d905
      https://github.com/quicwg/base-drafts/commit/692bd2256fb55233ec13ae9cc6c2dca00882d905
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-20 (Tue, 20 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #2027 from quicwg/ackgen

Move ack generation out of loss detection

  Commit: 9feb98a2848facffe750048a5825e99e3fed57c6
      https://github.com/quicwg/base-drafts/commit/9feb98a2848facffe750048a5825e99e3fed57c6
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #1991 from quicwg/leaf-separation

Separation for leaf keys only

  Commit: a89f732c21eacaa2cbd3c0d4f3145128afa47083
      https://github.com/quicwg/base-drafts/commit/a89f732c21eacaa2cbd3c0d4f3145128afa47083
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into first-octet

  Commit: 5e37f215027729968679b7257679adfb621d834d
      https://github.com/quicwg/base-drafts/commit/5e37f215027729968679b7257679adfb621d834d
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2006 from quicwg/first-octet

First byte changes

  Commit: 2aa489cbaf410d6cb638cbb68202c9a28c1bfc99
      https://github.com/quicwg/base-drafts/commit/2aa489cbaf410d6cb638cbb68202c9a28c1bfc99
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Fix references

  Commit: 13e37961f8a0b12936aed55153e0423debb24a04
      https://github.com/quicwg/base-drafts/commit/13e37961f8a0b12936aed55153e0423debb24a04
  Author: ianswett <[email-masked]>
  Date:   2018-11-20 (Tue, 20 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Restarting from idle (#2023)

* Restarting from idle

Fixes #2007

* Update draft-ietf-quic-recovery.md

* Update draft-ietf-quic-recovery.md

* Update draft-ietf-quic-recovery.md

Co-Authored-By: ianswett <[email-masked]>

* Update draft-ietf-quic-recovery.md

Jana's comments

  Commit: a265516ae6e760f7585f52f05a1c4dd2b1d41849
      https://github.com/quicwg/base-drafts/commit/a265516ae6e760f7585f52f05a1c4dd2b1d41849
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Don't allow use of AEAD_AES_128_CCM_8

Closes #2019.

  Commit: 120cfaae6e2be8b68b50d374327775b6cf288184
      https://github.com/quicwg/base-drafts/commit/120cfaae6e2be8b68b50d374327775b6cf288184
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Be clearer

  Commit: 3d2a951a08f9c01ccfd04e5971579738b4b534c8
      https://github.com/quicwg/base-drafts/commit/3d2a951a08f9c01ccfd04e5971579738b4b534c8
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Pad rather than shift the header protection offset

This simplifies a little, so it's a net win in my view.

Closes #1575.

  Commit: c9056ccaa8579b80489946ec7e2d8870a8e7d5e6
      https://github.com/quicwg/base-drafts/commit/c9056ccaa8579b80489946ec7e2d8870a8e7d5e6
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Servers can't migrate.  Period.

  Commit: e998b0a8366e25052a9e118be74ebf13a8b1001c
      https://github.com/quicwg/base-drafts/commit/e998b0a8366e25052a9e118be74ebf13a8b1001c
  Author: Kazuho Oku <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  always use "tls13 " prefix for Initial packets

  Commit: 473c72db90f12da8e3389e6ccb2c24dcb839f3fe
      https://github.com/quicwg/base-drafts/commit/473c72db90f12da8e3389e6ccb2c24dcb839f3fe
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update to RFC 8447

  Commit: 03d7c78ae5a0e99410d7ba202afeadfc5a30bfdf
      https://github.com/quicwg/base-drafts/commit/03d7c78ae5a0e99410d7ba202afeadfc5a30bfdf
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix stateless reset to match

  Commit: 9b2c9296a279bed747f81302845185b685b06a0a
      https://github.com/quicwg/base-drafts/commit/9b2c9296a279bed747f81302845185b685b06a0a
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #2032 from kazuho/kazuho/always-use-tls13-prefix-for-initial

always use "tls13 " prefix for Initial packets

  Commit: b1b485ca71bb8967513f96acba3ab35b057621a2
      https://github.com/quicwg/base-drafts/commit/b1b485ca71bb8967513f96acba3ab35b057621a2
  Author: tj <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rewrite Packet Size section

Rewrite Packet Size section to make it clearer and to consider ICMP
handling and Datagram PLPMTUD.

- Add normative reference to DPLPMTUD
- Define MPS as the largest UDP Payload that can be sent right now
- Discuss port numbers and connection ids as a method for verifying ICMP messages
- Replace PLPMTUD considerations with DPLPMTUD considerations
- Specify that probes can made from Packets carrying PING and PADDING frames

  Commit: 4193f7c1e3da1d368871590c88f21900a79319a5
      https://github.com/quicwg/base-drafts/commit/4193f7c1e3da1d368871590c88f21900a79319a5
  Author: tj <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-spin-exp.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into uoa/dplpmtu

  Commit: 513358498dd51015057b4ed0c70ba7382c903df3
      https://github.com/quicwg/base-drafts/commit/513358498dd51015057b4ed0c70ba7382c903df3
  Author: tj <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clean up whitespace

  Commit: 141dfaffe92679acde9c3b8d8d37ad2ade300e8f
      https://github.com/quicwg/base-drafts/commit/141dfaffe92679acde9c3b8d8d37ad2ade300e8f
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix typo: doubled word

  Commit: b93d8218813fc2d9d097068d7baa0efe3cc26036
      https://github.com/quicwg/base-drafts/commit/b93d8218813fc2d9d097068d7baa0efe3cc26036
  Author: afrind <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Merge pull request #1852 from quicwg/reorg-qpack

WIP: Reorganize QPACK

  Commit: 562ae5566b0b707913b323eb874d8cc271f2ea15
      https://github.com/quicwg/base-drafts/commit/562ae5566b0b707913b323eb874d8cc271f2ea15
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix build breaks

  Commit: 6fbca3cfcf23b38d71b5041249f77ba3a711190c
      https://github.com/quicwg/base-drafts/commit/6fbca3cfcf23b38d71b5041249f77ba3a711190c
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Alternate patch

  Commit: 046b4f30a974c70e4e51de2603ea66a66c25cd53
      https://github.com/quicwg/base-drafts/commit/046b4f30a974c70e4e51de2603ea66a66c25cd53
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2008 from quicwg/expand

Expands CID size text just a bit

  Commit: 078737d1ebf1abc1ce0fa565607e06131eead3a3
      https://github.com/quicwg/base-drafts/commit/078737d1ebf1abc1ce0fa565607e06131eead3a3
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2031 from quicwg/client-no-migrate

Servers can't migrate.  Period.

  Commit: ea9f1bcc4a90d680addce23ed42fd01cc05abb0e
      https://github.com/quicwg/base-drafts/commit/ea9f1bcc4a90d680addce23ed42fd01cc05abb0e
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2037 from dtikhonov/201811211019-fix-double-an

Fix typo: doubled word

  Commit: 162d1373f167eea6f85f2ab94af54d89caca0957
      https://github.com/quicwg/base-drafts/commit/162d1373f167eea6f85f2ab94af54d89caca0957
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Hyphens an other such things

Co-Authored-By: martinthomson <[email-masked]>

  Commit: 0d714e1e4f059558c54995e435e55f1326c99654
      https://github.com/quicwg/base-drafts/commit/0d714e1e4f059558c54995e435e55f1326c99654
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  182 bits

  Commit: d790fb9a47600477ed6df4a175fb81372a275928
      https://github.com/quicwg/base-drafts/commit/d790fb9a47600477ed6df4a175fb81372a275928
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2030 from quicwg/fixed-pne-offset

Pad rather than shift the header protection offset

  Commit: 9e47a68efb16151d5be7d6d1aff5a1c3c5419548
      https://github.com/quicwg/base-drafts/commit/9e47a68efb16151d5be7d6d1aff5a1c3c5419548
  Author: Jana Iyengar <[email-masked]>
  Date:   2018-11-21 (Wed, 21 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  more text

  Commit: 0c88ff5d4e8d353f86b2cb767cee9008b8bd6f87
      https://github.com/quicwg/base-drafts/commit/0c88ff5d4e8d353f86b2cb767cee9008b8bd6f87
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: adventureloop <[email-masked]>

  Commit: 3463998eb1f06cce89debc6c6d98b2f646b596b7
      https://github.com/quicwg/base-drafts/commit/3463998eb1f06cce89debc6c6d98b2f646b596b7
  Author: Julian Reschke <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  transport: fix broken references to -recovery

  Commit: 41c0a6d60ad43267efa3e10f5eb48485080a128c
      https://github.com/quicwg/base-drafts/commit/41c0a6d60ad43267efa3e10f5eb48485080a128c
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update based on review from @MikeBishop

  Commit: 812e811f195ee6578e8fe4b93017a64cf54268cd
      https://github.com/quicwg/base-drafts/commit/812e811f195ee6578e8fe4b93017a64cf54268cd
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add section reference

  Commit: e84ed484f0e9f852d5b9cbb8c8b8b78dddc59bba
      https://github.com/quicwg/base-drafts/commit/e84ed484f0e9f852d5b9cbb8c8b8b78dddc59bba
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-22 (Thu, 22 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify source port is used per connection

  Commit: 87f0e87b0aced955ef2406e4ba9bce59ece54538
      https://github.com/quicwg/base-drafts/commit/87f0e87b0aced955ef2406e4ba9bce59ece54538
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-23 (Fri, 23 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2043 from reschke/patch-22

transport: fix broken references to -recovery

  Commit: 2f56810f597fbf12a3aa04cf296a713ab47880a2
      https://github.com/quicwg/base-drafts/commit/2f56810f597fbf12a3aa04cf296a713ab47880a2
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-23 (Fri, 23 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  It's just TLS

For the most part, we don't need to identify TLS 1.3 specifically.  TLS
on its own is often sufficient.  This avoids creating the impression
that we don't support TLS 1.4.  I hope that TLS 1.4 will be compatible
with QUIC, but we'll leave that determination for later.

  Commit: 433903d323d12aaf142b6053ca0139c54ff76d26
      https://github.com/quicwg/base-drafts/commit/433903d323d12aaf142b6053ca0139c54ff76d26
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-23 (Fri, 23 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  TLS provides AEAD and KDF

Phrase this not as having TLS providing a cipher suite, but as TLS
providing functions for protection and key derivation.

Closes #2034.

  Commit: 8a7812a3b90a39064bb70c8683e62648ff9cdb51
      https://github.com/quicwg/base-drafts/commit/8a7812a3b90a39064bb70c8683e62648ff9cdb51
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  s/non-existent/not yet created/

This is the only relevant condition.

Closes #2048.

  Commit: 8529d06bbe155c7839e9a16d8aff34cdbf2866e3
      https://github.com/quicwg/base-drafts/commit/8529d06bbe155c7839e9a16d8aff34cdbf2866e3
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Just these header protection schemes, not more generally

  Commit: b1bde2259d4b8d566ba9292ec111b646fa8750d1
      https://github.com/quicwg/base-drafts/commit/b1bde2259d4b8d566ba9292ec111b646fa8750d1
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Quote a number for BASE_PMTU

  Commit: bd393e14663b15df20d2c6e4d309d76c60679590
      https://github.com/quicwg/base-drafts/commit/bd393e14663b15df20d2c6e4d309d76c60679590
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Expand MPS to maximum packet size

  Commit: 533557b3de17098dc198cadaf1ca308f8657e436
      https://github.com/quicwg/base-drafts/commit/533557b3de17098dc198cadaf1ca308f8657e436
  Author: Marten Seemann <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  fix Retry packet type

  Commit: c2c36ce9f38b2e1e05d56e008f3d23a57145c773
      https://github.com/quicwg/base-drafts/commit/c2c36ce9f38b2e1e05d56e008f3d23a57145c773
  Author: Marten Seemann <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  fix packet number decoding example

  Commit: 55a96245089ecc80ac28e6e0357e4c298238650c
      https://github.com/quicwg/base-drafts/commit/55a96245089ecc80ac28e6e0357e4c298238650c
  Author: Junho Choi <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Early Retransit -> Early Retransmit (#2051)

  Commit: f2ec2fa043b0872c53118fd6aa4c3772eb1a836d
      https://github.com/quicwg/base-drafts/commit/f2ec2fa043b0872c53118fd6aa4c3772eb1a836d
  Author: Lucas Pardue <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  QPACK: update language to use HTTP/3

  Commit: b1711b8153b37a5a8c00ef6806306fe9a7580b68
      https://github.com/quicwg/base-drafts/commit/b1711b8153b37a5a8c00ef6806306fe9a7580b68
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2055 from marten-seemann/fix-pn-decoding-example

fix packet number decoding example

  Commit: 3504656d4a5662df7e3e2a6a13946d252d419092
      https://github.com/quicwg/base-drafts/commit/3504656d4a5662df7e3e2a6a13946d252d419092
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2050 from quicwg/not-open-yet

s/non-existent/not yet created/

  Commit: 64afb144387e977e7518bbcf88e05398bfb7f0d6
      https://github.com/quicwg/base-drafts/commit/64afb144387e977e7518bbcf88e05398bfb7f0d6
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  spaces

  Commit: 5eb7ccc10459655f912a714a6534768919af6820
      https://github.com/quicwg/base-drafts/commit/5eb7ccc10459655f912a714a6534768919af6820
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2044 from quicwg/or-later

It's just TLS

  Commit: 92f844e5e1e67a5dbb6ca4330e67a5599a2ff3b3
      https://github.com/quicwg/base-drafts/commit/92f844e5e1e67a5dbb6ca4330e67a5599a2ff3b3
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #2029 from quicwg/not-ccm8

Don't allow use of AEAD_AES_128_CCM_8

  Commit: 4352da6e7164eb7e1c78e7fa6f1569305900b6ea
      https://github.com/quicwg/base-drafts/commit/4352da6e7164eb7e1c78e7fa6f1569305900b6ea
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2054 from marten-seemann/fix-retry-packet-type

fix Retry packet type

  Commit: b17f7456ee5e1409c4157f6446431e4a3ba044db
      https://github.com/quicwg/base-drafts/commit/b17f7456ee5e1409c4157f6446431e4a3ba044db
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  moar space

  Commit: d69f796100ba9ba35eb2d26e7f09e427c417752e
      https://github.com/quicwg/base-drafts/commit/d69f796100ba9ba35eb2d26e7f09e427c417752e
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reflow, fixup

  Commit: f8ffa650d569c50201eac30f7e25863234e0a625
      https://github.com/quicwg/base-drafts/commit/f8ffa650d569c50201eac30f7e25863234e0a625
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Remove extra space

Co-Authored-By: martinthomson <[email-masked]>

  Commit: 564ae47d30aa3e53bd090fac99b237a6844485b4
      https://github.com/quicwg/base-drafts/commit/564ae47d30aa3e53bd090fac99b237a6844485b4
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #2046 from quicwg/secret-aead-kdf

TLS provides AEAD and KDF

  Commit: 5264f8931f08d3ed4f4d9191a13bf9fd28418efa
      https://github.com/quicwg/base-drafts/commit/5264f8931f08d3ed4f4d9191a13bf9fd28418efa
  Author: janaiyengar <[email-masked]>
  Date:   2018-11-26 (Mon, 26 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #2040 from quicwg/timers

Reset connection state on retry and VN

  Commit: 02cd8284170120996c3eb7517c30999eda525cce
      https://github.com/quicwg/base-drafts/commit/02cd8284170120996c3eb7517c30999eda525cce
  Author: Tom Jones <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #1 from quicwg/uoaerg-uoa/dplpmtu

Reflow, fixup

  Commit: 017943f732917eac419be77e14018252e78b2640
      https://github.com/quicwg/base-drafts/commit/017943f732917eac419be77e14018252e78b2640
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Move NUM_PLACEHOLDERS out of the HTTP/2-used space

  Commit: c78dc96aebaf8fc3eeb992b41f93b20aa32241fb
      https://github.com/quicwg/base-drafts/commit/c78dc96aebaf8fc3eeb992b41f93b20aa32241fb
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Default settings in HTTP (#2038)

* Default settings

* MAX_HEADER is advisory

* Lucas's proposed rewordings

* Forward-ref to extension guidance

  Commit: 16e8f594c11dc0b128ebec4cc9705be4c2a0d156
      https://github.com/quicwg/base-drafts/commit/16e8f594c11dc0b128ebec4cc9705be4c2a0d156
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-27 (Tue, 27 Nov 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Fix QPACK error listing: need blank lines between entries

  Commit: bff17d02f879822e01616bcc885a0ff0257e5801
      https://github.com/quicwg/base-drafts/commit/bff17d02f879822e01616bcc885a0ff0257e5801
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-28 (Wed, 28 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  @ianswett had some comments

  Commit: ac2b643e19b91c282a6bf3665dfe070db0b946ef
      https://github.com/quicwg/base-drafts/commit/ac2b643e19b91c282a6bf3665dfe070db0b946ef
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-28 (Wed, 28 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'uoaerg-uoa/dplpmtu'

  Commit: 87b0ef708dea01621630c95c023e06d7a52ad9d0
      https://github.com/quicwg/base-drafts/commit/87b0ef708dea01621630c95c023e06d7a52ad9d0
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-28 (Wed, 28 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Interaction of FIN and message parsing (#2003)

* FIN is irrelevant

* Close is end, consume partials

* Apply suggestions from code review

* Add a MUST, call out CONNECT

* Which unless?

  Commit: 9bed7ea98a1ccb617147d9bb1ba5ba7402584afe
      https://github.com/quicwg/base-drafts/commit/9bed7ea98a1ccb617147d9bb1ba5ba7402584afe
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-29 (Thu, 29 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix references, headers

  Commit: f1fce86b79689f5b5ba424ada6c48527205eabf5
      https://github.com/quicwg/base-drafts/commit/f1fce86b79689f5b5ba424ada6c48527205eabf5
  Author: Mike Bishop <[email-masked]>
  Date:   2018-11-28 (Wed, 28 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Prohibit clients from declaring placeholders (#2056)

* Prohibit clients from declaring placeholders

* maintaining

  Commit: 10b1fd666acfebadec3529208d727189bb3d6d7c
      https://github.com/quicwg/base-drafts/commit/10b1fd666acfebadec3529208d727189bb3d6d7c
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-29 (Thu, 29 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Don't let the PMTU drop below 1280

The loss of packets on the path will be the signal that we use here.

Closes #2063.

  Commit: ea010f4c5c665abcca80bb05214110f0981e9e8c
      https://github.com/quicwg/base-drafts/commit/ea010f4c5c665abcca80bb05214110f0981e9e8c
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-29 (Thu, 29 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove paragraph talking about retaining DCID

The paragraph in question became what it is now in
391641ed60351d5685d5121b261059862dfd8e63.

Before CID sequence numbers, the endpoint that retired CIDs might
have wanted to remember the CIDs it retired for some time to
deduplicate NEW_CONNECTION_ID frames.  Now this is no longer
necessary and this paragraph is an oddity.

  Commit: ac5e4af758cd61329244297737b93c87c3889e3d
      https://github.com/quicwg/base-drafts/commit/ac5e4af758cd61329244297737b93c87c3889e3d
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-29 (Thu, 29 Nov 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix four typos in recovery draft (#2071)

  Commit: 4ce582b087553eb8a881ea5f95139fed1a3c28a6
      https://github.com/quicwg/base-drafts/commit/4ce582b087553eb8a881ea5f95139fed1a3c28a6
  Author: Dmitri Tikhonov <[email-masked]>
  Date:   2018-11-29 (Thu, 29 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify sentence describing a misrouted Stateless Reset

"is ineffective in causing errors" sounds a bit rough.  This is an
improvement.

  Commit: 7a6885f703b86b6e6172b3ea99a05d714a473353
      https://github.com/quicwg/base-drafts/commit/7a6885f703b86b6e6172b3ea99a05d714a473353
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-30 (Fri, 30 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2069 from quicwg/icmp-1280-limit

Don't let the PMTU drop below 1280

  Commit: 2b6078614d8c834186f287baa9d0e640e8ec9a83
      https://github.com/quicwg/base-drafts/commit/2b6078614d8c834186f287baa9d0e640e8ec9a83
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-30 (Fri, 30 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2070 from dtikhonov/201811291602-no-need-to-retain-dcid-knowledge

Remove paragraph talking about retaining DCID

  Commit: 262c91d17b1918f5c4d419b13228b8a5d1560496
      https://github.com/quicwg/base-drafts/commit/262c91d17b1918f5c4d419b13228b8a5d1560496
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-30 (Fri, 30 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2073 from dtikhonov/201811291727-reword-misrouted-reset-sentence

Clarify sentence describing a misrouted Stateless Reset

  Commit: b240fb45485e48f0a6e8d41d44893ad7f72b37f0
      https://github.com/quicwg/base-drafts/commit/b240fb45485e48f0a6e8d41d44893ad7f72b37f0
  Author: Martin Thomson <[email-masked]>
  Date:   2018-11-30 (Fri, 30 Nov 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  F

  Commit: c3bc7bbecfcd015aea92ced387d2a5f6816791a2
      https://github.com/quicwg/base-drafts/commit/c3bc7bbecfcd015aea92ced387d2a5f6816791a2
  Author: ianswett <[email-masked]>
  Date:   2018-11-30 (Fri, 30 Nov 2018)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-spin-exp.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into ianswett-both-thresholds

Compare: https://github.com/quicwg/base-drafts/compare/7560bb462cac...c3bc7bbecfcd
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.